From 1081207b4439a8f45ca713efe37ac42ebb3caedc Mon Sep 17 00:00:00 2001
From: Sebastian Poeplau <sebastian.poeplau@eurecom.fr>
Date: Tue, 18 Dec 2018 13:21:28 +0100
Subject: [PATCH] Log the number of executed IR statements

---
 angr/engines/vex/statements/base.py | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/angr/engines/vex/statements/base.py b/angr/engines/vex/statements/base.py
index 9d3d18e4..63a54975 100644
--- a/angr/engines/vex/statements/base.py
+++ b/angr/engines/vex/statements/base.py
@@ -2,6 +2,8 @@ import logging
 from pyvex.const import get_type_size
 l = logging.getLogger("angr.engines.vex.statements.base")
 
+executed_statements = 0
+
 class SimIRStmt(object):
     """A class for symbolically translating VEX IRStmts."""
 
@@ -33,6 +35,9 @@ class SimIRStmt(object):
         """
         Process the statement, applying its effects on the state.
         """
+        global executed_statements
+        executed_statements += 1
+
         # this is where we would choose between different analysis modes
         self._execute()
 
-- 
2.23.0

